Bug 6251 - Не подключается Mass Storage
: Не подключается Mass Storage
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/hotplug)
: unstable
: all Linux
: P2 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2005-03-11 21:00 by
Modified: 2005-09-02 17:16 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2005-03-11 21:00:03
Втыкаем фотоаппарат в режиме Mass Storage: 
/proc/bus/usb/devices 
T:  Bus=02 Lev=01 Prnt=01 Port=02 Cnt=02 Dev#= 20 Spd=12  MxCh= 0 
D:  Ver= 1.10 Cls=00(>ifc ) Sub=00 Prot=00 MxPS= 8 #Cfgs=  1 
P:  Vendor=04b0 ProdID=0301 Rev= 0.10 
S:  Manufacturer=NIKON 
S:  Product=NIKON DSC E2000 
C:* #Ifs= 1 Cfg#= 1 Atr=c0 MxPwr=  0mA 
I:  If#= 0 Alt= 0 #EPs= 3 Cls=08(stor.) Sub=06 Prot=50 Driver=usb-storage 
E:  Ad=01(O) Atr=02(Bulk) MxPS=  64 Ivl=0ms 
E:  Ad=82(I) Atr=02(Bulk) MxPS=  64 Ivl=0ms 
E:  Ad=83(I) Atr=03(Int.) MxPS=   8 Ivl=16ms 
 
Что видим в логах: 
Mar 11 20:44:14 server kernel: usb 2-3: new full speed USB device using 
ohci_hcd and address 20 
Mar 11 20:44:15 server kernel: scsi16 : SCSI emulation for USB Mass Storage 
devices 
Mar 11 20:44:20 server kernel:   Vendor: NIKON     Model: DSC E2000         
Rev: 1.00 
Mar 11 20:44:20 server kernel:   Type:   Direct-Access                      
ANSI SCSI revision: 02 
Mar 11 20:44:20 server kernel: SCSI device sdb: 250369 512-byte hdwr sectors 
(128 MB) 
Mar 11 20:44:20 server kernel: sdb: Write Protect is off 
Mar 11 20:44:20 server kernel: sdb: assuming drive cache: write through 
Mar 11 20:44:20 server kernel: SCSI device sdb: 250369 512-byte hdwr sectors 
(128 MB) 
Mar 11 20:44:20 server kernel: sdb: Write Protect is off 
Mar 11 20:44:20 server kernel: sdb: assuming drive cache: write through 
Mar 11 20:44:20 server kernel:  sdb: sdb1 
Mar 11 20:44:20 server kernel: Attached scsi removable disk sdb at scsi16, 
channel 0, id 0, lun 0 
Mar 11 20:44:20 server kernel: Attached scsi generic sg1 at scsi16, channel 0, 
id 0, lun 0,  type 0 
Mar 11 20:44:21 server scsi.agent[5051]: disk 
at /devices/pci0000:00/0000:00:02.0/usb2/2-3/2-3:1.0/host16/ 
target16:0:0/16:0:0:0 
 
Вроде бы sdb1 создаётся? Но 
# mount /dev/sdb1 /mnt/disk/ 
mount: No medium found
------- Comment #1 From 2005-03-11 21:01:10 -------
Да, а через PTP работает, если не считать проблемы с правами :) 
------- Comment #2 From 2005-05-12 10:36:43 -------
fixed (block.agent removed from hotplug)